phoenix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Purtell (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (PHOENIX-877) Snappy native library is not available
Date Tue, 16 Sep 2014 17:54:35 GMT

    [ https://issues.apache.org/jira/browse/PHOENIX-877?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14135825#comment-14135825
] 

Andrew Purtell commented on PHOENIX-877:
----------------------------------------

FWIW, I think it is inconvenient for potential users and maybe even dangerous to hardcode
a dependency on a compression algorithm that requires external native library support on the
platform. 

> Snappy native library is not available
> --------------------------------------
>
>                 Key: PHOENIX-877
>                 URL: https://issues.apache.org/jira/browse/PHOENIX-877
>             Project: Phoenix
>          Issue Type: Bug
>    Affects Versions: 3.0.0, 4.0.0
>            Reporter: alex kamil
>            Assignee: Mujtaba Chohan
>            Priority: Minor
>
> still getting this error with the most recent phoenix v3.0  (i think it has been fixed
in 2.2.3)
> "Snappy native library is not available" when running SELECT DISTINCT on large table
(>300k rows) in sqlline, on linux 64bit (intel) 
> in order to fix had to add to incubator-phoenix/bin/sqlline.py:
>     ' -Djava.library.path= /var/lib/hadoop/lib/native/Linux-amd64-64'+\
> snappy binaries were installed 
> sudo yum install snappy snappy-devel
> ln -sf /usr/lib64/libsnappy.so /var/lib/hadoop/lib/native/Linux-amd64-64/.
> ln -sf /usr/lib64/libsnappy.so /var/lib/hbase/lib/native/Linux-amd64-64/.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message